
From: Andrew Morton <akpm@osdl.org>

*** Warning: "i810_delete_i2c_busses" [drivers/video/i810/i810fb.ko] undefined!
*** Warning: "i810_create_i2c_busses" [drivers/video/i810/i810fb.ko] undefined!
*** Warning: "i810_probe_i2c_connector" [drivers/video/i810/i810fb.ko] undefined

i810-i2c.o isn't actually being included in the build.

Cc: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/i810/Makefile |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN drivers/video/i810/Makefile~i810fb-add-i2c-ddc-support-Makefile-fix drivers/video/i810/Makefile
--- devel/drivers/video/i810/Makefile~i810fb-add-i2c-ddc-support-Makefile-fix	2005-09-07 01:05:04.000000000 -0700
+++ devel-akpm/drivers/video/i810/Makefile	2005-09-07 01:05:04.000000000 -0700
@@ -3,7 +3,6 @@
 #
 
 obj-$(CONFIG_FB_I810)		+= i810fb.o
-obj-$(CONFIG_FB_I810_I2C)       += i810-i2c.o
 
 i810fb-objs                     := i810_main.o i810_accel.o
 
@@ -12,3 +11,7 @@ i810fb-objs                     += i810_
 else
 i810fb-objs                     += i810_dvt.o
 endif
+
+ifdef CONFIG_FB_I810_I2C
+i810fb-objs += i810-i2c.o
+endif
_
